package controller;


public abstract class ListeningThread extends Thread{
	
	protected Controller controller;
	
	public ListeningThread(String s,Controller controller) {
		super(s);
		this.controller = controller;
	}
	
	public abstract void run();
	
	public abstract void close();
}
